org.apache.cassandra.cql3

## Class CFDefinition.Name

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnSpecification
  - - org.apache.cassandra.cql3.CFDefinition.Name

- Enclosing class:
    CFDefinition

      public static class CFDefinition.Name
      extends ColumnSpecification

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CFDefinition.Name.Kind`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CFDefinition.Name.Kind` | `kind`
    `int` | `position`

    - ### Fields inherited from class org.apache.cassandra.cql3.ColumnSpecification

      `cfName, ksName, name, type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.cassandra.cql3.ColumnSpecification

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### kind

          public final CFDefinition.Name.Kind kind

    - #### position

          public final int position

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation